Bug 192612 - kalarm crashes when I close the window "import birthdays from kaddressbook"
Summary: kalarm crashes when I close the window "import birthdays from kaddressbook"
Status: CLOSED FIXED
Alias: None
Product: kalarm
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: David Jarvie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-13 23:41 UTC by Raul Moratalla
Modified: 2010-09-02 11:05 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raul Moratalla 2009-05-13 23:41:47 UTC
Application that crashed: kalarm
Version of the application: 2.1.90
KDE Version: 4.2.85 (KDE 4.2.85 (KDE 4.3 Beta1)) "release 3.2"
Qt Version: 4.5.1
Operating System: Linux 2.6.27.21-0.1-pae i686
Distribution: "openSUSE 11.1 (i586)"

What I was doing when the application crashed:
Hi, these are the steps to reproduce the crash:
- Start kalarm
- Execute the menu "File->Import birthdays". It will show a window with the birthdays that I have in Kaddressbook.
- Do nothing and "cancel" the dialog window.
- kalarm crashes

 -- Backtrace:
Application: KAlarm (kalarm), signal: Aborted
[KCrash Handler]
#6  0xffffe430 in __kernel_vsyscall ()
#7  0xb61ba990 in raise () from /lib/libc.so.6
#8  0xb61bc2c8 in abort () from /lib/libc.so.6
#9  0xb61fc683 in ?? () from /lib/libc.so.6
#10 0xb61fdedb in free () from /lib/libc.so.6
#11 0xb63deec1 in operator delete(void*) () from /usr/lib/libstdc++.so.6
#12 0x08092d52 in ~BirthdayModel (this=0x8465118) at /usr/src/debug/kdepim-4.2.85/kalarm/birthdaymodel.cpp:73
#13 0xb70f3f5f in QObjectPrivate::deleteChildren (this=0x84a9a40) at kernel/qobject.cpp:1854
#14 0xb658b66b in ~QWidget (this=0xbfeb03c4) at kernel/qwidget.cpp:1366
#15 0xb6a37a16 in ~QDialog (this=0xbfeb03c4) at dialogs/qdialog.cpp:298
#16 0xb75d2e54 in ~KDialog (this=0xbfeb03c4) at /usr/src/debug/kdelibs-4.2.85/kdeui/dialogs/kdialog.cpp:191
#17 0x080ef8e7 in MainWindow::slotBirthdays (this=0x83703e8) at /usr/src/debug/kdepim-4.2.85/kalarm/birthdaydlg.h:42
#18 0x080f01a5 in MainWindow::qt_metacall (this=0x83703e8, _c=QMetaObject::InvokeMetaMethod, _id=16, _a=0xbfeb053c) at /usr/src/debug/kdepim-4.2.85/build/kalarm/mainwindow.moc:150
#19 0xb70fadc8 in QMetaObject::activate (sender=0x83a5630, from_signal_index=5, to_signal_index=6, argv=0xbfeb053c) at kernel/qobject.cpp:3120
#20 0xb70fb200 in QMetaObject::activate (sender=0x83a5630, m=0xb6db61a8, from_local_signal_index=1, to_local_signal_index=2, argv=0xbfeb053c) at kernel/qobject.cpp:3214
#21 0xb6533021 in QAction::triggered (this=0x83a5630, _t1=false) at .moc/release-shared/moc_qaction.cpp:236
#22 0xb653459f in QAction::activate (this=0x83a5630, event=QAction::Trigger) at kernel/qaction.cpp:1160
#23 0xb6993024 in QMenuPrivate::activateCausedStack (this=0x8430818, causedStack=@0xbfeb0618, action=0x83a5630, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:967
#24 0xb69997db in QMenuPrivate::activateAction (this=0x8430818, action=0x83a5630, action_e=QAction::Trigger, self=<value optimized out>) at widgets/qmenu.cpp:1060
#25 0xb699a322 in QMenu::mouseReleaseEvent (this=0x8432860, e=0xbfeb0c58) at widgets/qmenu.cpp:2254
#26 0xb7753575 in KMenu::mouseReleaseEvent (this=0x8432860, e=0xbfeb0c58) at /usr/src/debug/kdelibs-4.2.85/kdeui/widgets/kmenu.cpp:456
#27 0xb6590323 in QWidget::event (this=0x8432860, event=0xbfeb0c58) at kernel/qwidget.cpp:7521
#28 0xb699c5d9 in QMenu::event (this=0x8432860, e=0xbfeb0c58) at widgets/qmenu.cpp:2353
#29 0xb653969c in QApplicationPrivate::notify_helper (this=0x82141b8, receiver=0x8432860, e=0xbfeb0c58) at kernel/qapplication.cpp:4057
#30 0xb6542311 in QApplication::notify (this=0x8202c68, receiver=0x8432860, e=0xbfeb0c58) at kernel/qapplication.cpp:3759
#31 0xb766bb8d in KApplication::notify (this=0x8202c68, receiver=0x8432860, event=0xbfeb0c58) at /usr/src/debug/kdelibs-4.2.85/kdeui/kernel/kapplication.cpp:307
#32 0xb70e4adb in QCoreApplication::notifyInternal (this=0x8202c68, receiver=0x8432860, event=0xbfeb0c58) at kernel/qcoreapplication.cpp:610
#33 0xb654137e in QApplicationPrivate::sendMouseEvent (receiver=0x8432860, event=0xbfeb0c58, alienWidget=0x0, nativeWidget=0x8432860, buttonDown=0xb6dcea40, lastMouseReceiver=@0xb6dcea44)
    at ../../src/corelib/kernel/qcoreapplication.h:216
#34 0xb65b178e in QETWidget::translateMouseEvent (this=0x8432860, event=0xbfeb22ec) at kernel/qapplication_x11.cpp:4380
#35 0xb65b08dd in QApplication::x11ProcessEvent (this=0x8202c68, event=0xbfeb22ec) at kernel/qapplication_x11.cpp:3442
#36 0xb65da27a in x11EventSourceDispatch (s=0x8210cf0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#37 0xb54769c8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#38 0xb547a083 in ?? () from /usr/lib/libglib-2.0.so.0
#39 0xb547a241 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#40 0xb7110558 in QEventDispatcherGlib::processEvents (this=0x8203590, flags={i = -1075108696}) at kernel/qeventdispatcher_glib.cpp:324
#41 0xb65d9975 in QGuiEventDispatcherGlib::processEvents (this=0x8203590, flags={i = -1075108648}) at kernel/qguieventdispatcher_glib.cpp:202
#42 0xb70e30fa in QEventLoop::processEvents (this=0xbfeb2550, flags={i = -1075108584}) at kernel/qeventloop.cpp:149
#43 0xb70e353a in QEventLoop::exec (this=0xbfeb2550, flags={i = -1075108520}) at kernel/qeventloop.cpp:200
#44 0xb70e59e9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#45 0xb6539517 in QApplication::exec () at kernel/qapplication.cpp:3526
#46 0x08096c8e in main (argc=5, argv=0xbfeb29b4) at /usr/src/debug/kdepim-4.2.85/kalarm/main.cpp:126
Comment 1 David Jarvie 2009-05-15 02:47:11 UTC
Fixed for KDE 4.2.4 (SVN commits 968121, 968122).